org.apache.cassandra.cql3

## Class ColumnIdentifier

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnIdentifier

- All Implemented Interfaces:
    java.lang.Comparable<ColumnIdentifier>, RawSelector

      public class ColumnIdentifier
      extends java.lang.Object
      implements RawSelector, java.lang.Comparable<ColumnIdentifier>

  Represents an identifer for a CQL column definition.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.RawSelector

      `RawSelector.WithFunction, RawSelector.WritetimeOrTTL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.nio.ByteBuffer` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnIdentifier(java.nio.ByteBuffer key, AbstractType type)`
    `ColumnIdentifier(java.lang.String rawText, boolean keepCase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ColumnIdentifier other)`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          public final java.nio.ByteBuffer key

  - ### Constructor Detail

    - #### ColumnIdentifier

          public ColumnIdentifier(java.lang.String rawText,
                          boolean keepCase)

    - #### ColumnIdentifier

          public ColumnIdentifier(java.nio.ByteBuffer key,
                          AbstractType type)

  - ### Method Detail

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(ColumnIdentifier other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ColumnIdentifier>`

Copyright © 2014 The Apache Software Foundation